<?php
add_action( 'elementor/widgets/widgets_registered', 'medileaves_elementor_widgets' );
function medileaves_elementor_widgets() {

	if ( defined( 'ELEMENTOR_PATH' ) && class_exists( 'Elementor\Widget_Base' ) ) {

		require medileaves_THEME_ROOT . '/elementor/widget/accordion/class-widget-medileaves-accordion.php';

		require medileaves_THEME_ROOT . '/elementor/widget/before-after/class-widget-medileaves-before-after.php';

		require medileaves_THEME_ROOT . '/elementor/widget/before-after/class-widget-medileaves-before-after-new.php';

		require medileaves_THEME_ROOT . '/elementor/widget/blog/class-widget-medileaves-blog.php';

		require medileaves_THEME_ROOT . '/elementor/widget/blog/class-widget-medileaves-blog-grid.php';

		require medileaves_THEME_ROOT . '/elementor/widget/button/class-widget-medileaves-button.php';

		require medileaves_THEME_ROOT . '/elementor/widget/client-logo/class-widget-medileaves-client-logo.php';

		require medileaves_THEME_ROOT . '/elementor/widget/counter/class-widget-medileaves-counter.php';

		require medileaves_THEME_ROOT . '/elementor/widget/feature-step/class-widget-medileaves-feature-step.php';

		require medileaves_THEME_ROOT . '/elementor/widget/flipbox/class-widget-medileaves-flipbox.php';

		require medileaves_THEME_ROOT . '/elementor/widget/image-gallery/class-widget-medileaves-gallery.php';

		require medileaves_THEME_ROOT . '/elementor/widget/image-hotspot/class-widget-medileaves-image-hotspot.php';

		require medileaves_THEME_ROOT . '/elementor/widget/image-parallax/class-widget-medileaves-image-parallax.php';

		require medileaves_THEME_ROOT . '/elementor/widget/info-box/class-widget-medileaves-info-box.php';

		require medileaves_THEME_ROOT . '/elementor/widget/marquee-slider/class-widget-medileaves-marquee-slider.php';

		require medileaves_THEME_ROOT . '/elementor/widget/list/class-widget-medileaves-list.php';

		require medileaves_THEME_ROOT . '/elementor/widget/newsletter/class-widget-medileaves-newsletter.php';

		require medileaves_THEME_ROOT . '/elementor/widget/parallax-banner/class-widget-medileaves-parallax-banner.php';

		require medileaves_THEME_ROOT . '/elementor/widget/portfolio/class-widget-medileaves-portfolio.php';

		require medileaves_THEME_ROOT . '/elementor/widget/pricing/class-widget-medileaves-pricing.php';

		require medileaves_THEME_ROOT . '/elementor/widget/products/class-widget-medileaves-product-listing.php';

		require medileaves_THEME_ROOT . '/elementor/widget/products/class-widget-medileaves-product-cat.php';	

		require medileaves_THEME_ROOT . '/elementor/widget/quick-info/class-widget-medileaves-quick-info.php';

		require medileaves_THEME_ROOT . '/elementor/widget/rounded-skill/class-widget-medileaves-rounded-skill.php';

		require medileaves_THEME_ROOT . '/elementor/widget/section-title/class-widget-medileaves-section-title.php';		

		require medileaves_THEME_ROOT . '/elementor/widget/service-box/class-widget-medileaves-service-box.php';		

		require medileaves_THEME_ROOT . '/elementor/widget/skill/class-widget-medileaves-skill.php';

		require medileaves_THEME_ROOT . '/elementor/widget/small-icon-box/class-widget-medileaves-small-icon-box.php';

		require medileaves_THEME_ROOT . '/elementor/widget/social-icons/class-widget-medileaves-social-icons.php';		

		require medileaves_THEME_ROOT . '/elementor/widget/signinform/class-widget-medileaves-signinform.php';

		require medileaves_THEME_ROOT . '/elementor/widget/signupform/class-widget-medileaves-signupform.php';

		require medileaves_THEME_ROOT . '/elementor/widget/tab/class-widget-medileaves-tab.php';		

		require medileaves_THEME_ROOT . '/elementor/widget/team/class-widget-medileaves-team.php';

		require medileaves_THEME_ROOT . '/elementor/widget/team/class-widget-medileaves-team-grid.php';

		require medileaves_THEME_ROOT . '/elementor/widget/testimonial/class-widget-medileaves-testimonial.php';

		require medileaves_THEME_ROOT . '/elementor/widget/video/class-widget-medileaves-video.php';
	}
}

add_filter( 'elementor/icons_manager/additional_tabs', 'medileaves_add_ionicons_to_icon_manager' );
function medileaves_add_ionicons_to_icon_manager( $settings ) {
	$settings['ion-ionicons'] = array(
		'name'          => 'ion',
		'label'         => esc_html__( 'Ionicons', 'medileaves' ),
		'url'           => '',
		'enqueue'       => wp_enqueue_style( 'ionicons', medileaves_THEME_URL . '/assest/css/fonts/ionicons.css', array(), '2.0.1', 'all' ),
		'prefix'        => 'ion-',
		'displayPrefix' => 'ion',
		'labelIcon'     => 'ion ion-ios-world',
		'fetchJson'     => medileaves_THEME_URL . '/assest/js/ionicons.js',
		'ver'           => '1.0',
		'native'        => true,
	);

	return $settings;
}

add_filter( 'elementor/icons_manager/additional_tabs', 'medileaves_add_themify_to_icon_manager' );
function medileaves_add_themify_to_icon_manager( $settings ) {
	$settings['ti-themify'] = array(
		'name'          => 'ti-themify',
		'label'         => __( 'Themify', 'medileaves' ),
		'url'           => '',
		'enqueue'       => wp_enqueue_style( 'themify', medileaves_THEME_URL . '/assest/css/fonts/themify-icons.css', array(), '2.0.0', 'all' ),
		'prefix'        => 'ti-',
		'displayPrefix' => 'ti',
		'labelIcon'     => 'ti ti-world',
		'fetchJson'     => medileaves_THEME_URL . '/assest/js/themify.js',
		'ver'           => '1.0',
		'native'        => true,
	);

	return $settings;
}

add_filter( 'elementor/icons_manager/additional_tabs', 'medileaves_add_flaticon_to_icon_manager' );
function medileaves_add_flaticon_to_icon_manager( $settings ) {
	$settings['flaticon-themify'] = array(
		'name'          => 'flaticon-themify',
		'label'         => __( 'Flaticon', 'medileaves' ),
		'url'           => '',
		'enqueue'       => wp_enqueue_style( 'flaticon', medileaves_THEME_URL . '/assest/css/fonts/flaticon.css', array(), '2.0.0', 'all' ),
		'prefix'        => 'flaticon-',
		'displayPrefix' => 'glyph-icon',
		'labelIcon'     => 'glyph-icon flaticon-vision-2',
		'fetchJson'     => medileaves_THEME_URL . '/assest/js/flaticon.js',
		'ver'           => '1.0',
		'native'        => true,
	);

	return $settings;
}

add_action( 'elementor/editor/before_enqueue_scripts', 'medileaves_add_widget_to_icon_manager' );
function medileaves_add_widget_to_icon_manager( $settings ) {
	wp_enqueue_style( 'widgeticons', medileaves_THEME_URL . '/assest/css/admin.css', array(), '1.0.0', 'all' );

	return $settings;
}


add_action(
	'elementor/init',
	function() {
		\Elementor\Plugin::$instance->elements_manager->add_category(
			'medileaves',
			array(
				'title' => __( 'medileaves Elements', 'medileaves' ),
				'icon'  => 'fa fa-plug',
			)
		);
	}
);
