<?php 
/**
 * 404 Options
 *
 * @package medileaves Core
 * @subpackage Core
 * @since 1.1.0
 * @version 1.1.0
 */

Redux::setSection( 'medileaves_redux', array(
    'title' => esc_html__('404','medileaves'),
    'id'    => 'opt-404',
    'icon'  => 'el-icon-error',
    'desc'  => esc_html__('This section contains options for 404.','medileaves'),
    'fields'=> array(

        array(
            'id'        => 'error_title',
            'type'      => 'text',
            'title'     => esc_html__( '404 Page Title','medileaves'),
            'default'   => esc_html__( '404','medileaves' )
        ),

        array(
            'id'        => 'error_contant',
            'type'      => 'text',
            'title'     => esc_html__( '404 Page Contant','medileaves'),
            'default'   => esc_html__( 'Ohhh! Page Not Found','medileaves' )
        ),

        array(
            'id'        => 'error_description',
            'type'      => 'textarea',
            'title'     => esc_html__( '404 Page Description','medileaves'),
            'default'   => esc_html__( 'The Page You are Looking for does Not Exits.','medileaves' )
        ),
    )) 
);
?>